Skip to main content
PATCH
/
trust-centers
/
{slugId}
Update Trust Center
curl --request PATCH \
  --url https://api.vanta.com/v1/trust-centers/{slugId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "companyDescription": "<string>",
  "customTheme": {
    "secondary": "<string>",
    "primary": "<string>"
  },
  "privacyPolicy": "<string>",
  "awsMarketplaceListing": "<string>",
  "isPublic": true,
  "contactEmail": "<string>",
  "customHeading": "<string>"
}
'
{
  "id": "a2f7e1b9d0c3f4e5a6c7b8d9",
  "title": "Trust Center",
  "companyDescription": "Company description",
  "privacyPolicy": "Privacy policy",
  "awsMarketplaceListing": "https://aws.amazon.com/marketplace/pp/example",
  "customDomain": "trustcenter.com",
  "isPublic": true,
  "bannerSetting": {
    "setting": "GRADIENT",
    "startColor": "#000000",
    "endColor": "#FFFFFF"
  },
  "customTheme": {
    "primary": "#000000",
    "secondary": "#FFFFFF"
  },
  "contactEmail": "security@example.com",
  "customHeading": "Welcome to our Trust Center",
  "creationDate": "2020-01-01T00:00:00.000Z",
  "updatedDate": "2020-01-01T00:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slugId
string
required

Body

application/json
title
string | null

Custom title for the Trust Center. If null is passed in, the current custom title is unset and the default title is restored.

companyDescription
string | null

Company description displayed in the Trust Center header. If null is passed in, the current company description is unset.

bannerSetting
object

The banner configuration of the Trust Center.

customTheme
object

The custom theme configuration for the Trust Center.

privacyPolicy
string | null

Privacy policy URL to set on the Trust Center. If null is passed in, unsets the current privacy policy.

awsMarketplaceListing
string | null

AWS Marketplace listing URL to set on the Trust Center. If null is passed in, unsets the current AWS Marketplace listing.

isPublic
boolean

Whether the Trust Center is public or not.

contactEmail
string | null

Contact email displayed on the Trust Center. If null is passed in, unsets the current contact email.

customHeading
string | null

Custom heading displayed on the Trust Center. If null is passed in, unsets the current custom heading.

Response

200 - application/json

Ok

id
string
required

Unique identifier for the Trust Center.

title
string | null
required

Custom title set for the Trust Center.

companyDescription
string | null
required

Company description displayed in the Trust Center header.

privacyPolicy
string | null
required

URL of the Trust Center company's privacy policy.

awsMarketplaceListing
string | null
required

URL of the Trust Center company's AWS Marketplace listing.

customDomain
string | null
required

Custom domain that the Trust Center can be found at, e.g. trust.vanta.com.

isPublic
boolean
required

Whether the Trust Center is public.

bannerSetting
object
required

Information about the Trust Center's banner.

customTheme
object
required

Custom theme colors chosen for the Trust Center.

contactEmail
string | null
required

Contact email displayed on the Trust Center.

customHeading
string | null
required

Custom heading displayed on the Trust Center.

creationDate
string<date-time>
required

Date the Trust Center was created.

updatedDate
string<date-time>
required

Date the Trust Center was last updated.